package cn.com.ty.lift.business.annualinspection.dto;

import cn.com.ty.lift.business.annualinspection.entity.AnnualInspection;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wcz
 * @date 2019/12/10
 * @description
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class InspectionResponse extends AnnualInspection{

    /**
     * 区域名称
     */
    private String areaName;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 电梯注册代码
     */
    private String registrationCode;

    /**
     * 电梯编号
     */
    private String liftCode;

    /**
     * 电梯位置
     */
    private String devicePosition;

    /**
     * 维保工名称
     */
    private String workerName;

    /**
     * 主管名称
     */
    private String directorName;


}
