package cn.com.ty.lift.business.contract.dao.entity.model;

import lombok.Data;

/**
 * @author bieao
 * @date 2019/12/7
 * @description 合同列表返回体
 */
@Data
public class ContractResponse {
    /**
     * 主键id
     */
    private String id;
    /**
     * 合同编号
     */
    private String contractId;
    /**
     * 合同来源
     */
    private String contractSource;
    /**
     * 合同类型
     */
    private String contractType;
    /**
     * 开始时间
     */
    private String starDate;
    /**
     * 结束时间
     */
    private String endDate;
    /**
     * 台量
     */
    private String liftNum;
    /**
     * 金额
     */
    private String moneys;
    /**
     * 签约时间
     */
    private String givenDate;
    /**
     * 签订人
     */
    private String givenUser;
    /**
     * 合同附件
     */
    private String accessoryUrl;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 合同状态
     */
    private String contractStatus;
    /**
     * 上一个合同编号
     */
    private String previousId;
}
