package cn.com.ty.lift.business.library.dao.entity.model.request;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2019/12/30
 * @description 选择电梯请求参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiftChooseRequest extends BaseRequestModel {
    /**
     * 公司ID
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;
}
