package cn.com.ty.lift.business.library.dao.entity.model.request;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author bieao
 * @date 2019/12/5
 * @description 电梯锁定解锁请求
 */
@Data
public class LiftLockRequest {
    /**
     * 电梯id列表
     */
    @NotEmpty(message = "notEmpty")
    private List<Long> liftList;

    /**
     * 操作：0：解锁 1：锁定
     */
    @NotNull(message = "notEmpty")
    private Integer lock;

    /**
     * 公司id
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;

}
