package cn.com.ty.lift.business.maintenance.dao.entity.model.request;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2020/1/6
 * @description 保养任务
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MaintenanceAppRequest extends BaseRequestModel {

    /**
     * 用户id
     */
    @NotNull(message = "notEmpty")
    private Long workerId;

    /**
     * 维保计划状态
     */
    @NotNull(message = "notEmpty")
    private String status;
}
