package cn.com.ty.lift.business.maintenance.dao.entity.model.request;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2020/1/6
 * @description app保养信息请求
 */
@Data
public class MaintenanceRecordRequest {
    /**
     * 公司id
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;
    /**
     * 电梯id
     */
    @NotNull(message = "notEmpty")
    private Long liftId;
}
