package cn.com.ty.lift.business.maintenance.dao.entity.model.response;

import lombok.Data;

import java.time.LocalDate;

/**
 * @author bieao
 * @date 2019/12/19
 * @description 维保计划列表返回体
 */
@Data
public class MaintenancePlanResponse {
    /**
     * 维保计划id
     */
    private Long id;
    /**
     * 是否制定维保计划（0：未制定，1：已制定）
     */
    private String status;
    /**
     * 电梯id
     */
    private Long liftId;
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 维保公司id
     */
    private Long mtCompanyId;
    /**
     * 维保工id
     */
    private Long workerId;
    /**
     * 项目电梯关联id
     */
    private Long relevanceId;
    /**
     * 维保间隔
     */
    private Long planInterval;
    /**
     * 计划保养时间
     */
    private LocalDate planDate;
    /**
     * 电梯注册代码
     */
    private String registrationCode;
    /**
     * 电梯位置
     */
    private String devicePosition;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 项目编号
     */
    private String projectCode;
    /**
     * 电梯状态
     */
    private String liftStatus;
    /**
     * 区域名称
     */
    private String regionName;
    /**
     * 维保工
     */
    private String workerName;
}
