package cn.com.ty.lift.business.project.dao.entity;

import cn.com.ty.lift.business.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 实体类 - 表：project_user
 * @author bieao
 * @since 2019-12-04 15:39:06
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProjectUser extends BaseEntity {
    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 维保公司ID
     */
    private Long mtCompanyId;

    /**
     * 用户角色 10超管 11:超级查询 12管理员 13维保工 14省级经理 15市级经理 16文员 21物业评价 22物业查询
     */
    private String userRole;

    /**
     * 是否是维保班长  0否 1是
     */
    private String isMonitor;
}