package cn.com.ty.lift.business.project.dao.entity.model.request;

import cn.com.ty.lift.business.project.dao.entity.ProjectUser;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author bieao
 * @date 2020/1/13
 * @description 项目组成员
 */
@Data
public class ProjectUserRequest {

    /**
     * 项目ID
     */
    @NotNull(message = "notEmpty")
    private Long projectId;

    /**
     * 维保公司ID
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;
    /**
     * 项目组成员
     */
    @NotEmpty(message = "notEmpty")
    private List<ProjectUser> userList;
}
