package cn.com.ty.lift.enterprise.oa.mapper;


import cn.com.ty.lift.enterprise.oa.dto.AttendanceRequest;
import cn.com.ty.lift.enterprise.oa.dto.AttendanceResponse;
import cn.com.ty.lift.enterprise.oa.entity.Attendance;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * MyBatis Mapper 接口 - 表：attendance
 * @since 2019-11-25 17:40:28
 */
public interface AttendanceMapper extends BaseMapper<Attendance>{

	IPage<AttendanceResponse> pageByCondition(IPage<AttendanceResponse> page, @Param("cond")AttendanceRequest request);

	IPage<AttendanceResponse> pageByUser(IPage<AttendanceResponse> page, @Param("cond")AttendanceRequest request);

	AttendanceResponse findByIdWithInfo(@Param("cond")AttendanceRequest request);
}