package cn.com.ty.lift.system;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.web.bind.annotation.CrossOrigin;

/**
 * @Author xwy
 * @create 2019/11/4
 */
@Slf4j
@EnableFeignClients
@MapperScan("cn.com.ty.**.mapper")
@SpringBootApplication(scanBasePackages = {"cn.com.ty.lift", "cn.com.xwy.boot"})
@CrossOrigin
public class SystemApplication {

    public static void main(String[] args) {
        log.debug("SystemApplication startup main");
        SpringApplication.run(SystemApplication.class,args);
    }
}
