package cn.com.ty.lift.system.user.controller;


import cn.com.ty.lift.system.user.dao.entity.model.ExpertRequest;
import cn.com.ty.lift.system.user.service.IExpertService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 专家表 前端控制器
 * </p>
 *
 * @author huangyuan
 * @since 2020-01-02
 */
@RestController
@RequestMapping("/expert")
public class ExpertController {

    @Resource
    private IExpertService expertService;

    @RequestMapping("/list")
    public RestResponse list(ExpertRequest expertRequest){
        return expertService.expertList(expertRequest);
    }

    /**
     * @param
     * @return
     * @description 添加专家信息
     * @date 2020-01-03 14:52
     */
    @PostMapping("/add")
    public RestResponse add(ExpertRequest expertRequest) {
        return expertService.add(expertRequest);
    }

}
