package cn.com.ty.lift.system.user.dao.entity.model;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author huangyuan
 * @date 2019-12-17
 * @description 电梯操作证
 */
@Data
public class LiftCertificate {
    private Long userId;//用户id/拥有者id
    private String code;//操作证号
    private String issuanceAgency;//发证单位
    private LocalDateTime expirationDate;//有效期
    private String certificateType;//证件类型
    private String firstImgUrl;//第一张图片路径
    private String secondImgUrl;//第二张图片路径
    private Integer status;//0：无证，1：待审核，2：审核未通过，3：审核通过，4：超期
}
