package cn.com.ty.lift.system.user.dao.entity.model;

import lombok.Data;

import java.util.List;

/**
 * @author huangyuan
 * @date 2020-01-05
 * @description 物业用户
 */
@Data
public class PropertyUserRequest {
    private String queryCondition;//查询条件
    private Long projectId;//项目id
    private Long companyId;//当前所在公司id
    private Long userId;//用户id
    private List<Long> userIdList;//用户id集合
    private Long pageNum;//页数
    private Long pageSize;//每页的条数
}
