package cn.com.ty.lift.system.user.dao.entity.model;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author huangyuan
 * @date 2019-12-18
 * @description 用户申请响应
 */
@Data
public class UserApplyResponse {
    private Long id;//申请信息id
    private Long userId;//用户id
    private String userName;//用户昵称
    private String userMobile;//用户手机号
    private Integer userType;//用户类型
    private String userAvatarUrl;//用户头像路径
    private Integer applyType;//申请事项:1加入团队2加入项目
    private Integer powerType;//申请权限
    private LocalDateTime applyDate;//申请日期
    private LocalDateTime dealDate;//处理日期
}
