package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.UserInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description
 */
public interface IUserInfoService extends IService<UserInfo> {

    /**
     * @description
     * @date 2019/11/27 10:03 AM
     * @param userId 通过用户id获取用户信息
     * @return
     */
    UserInfo getByUserId(Long userId);

    /**
     * @description 更新用户信息
     * @date
     * @param userInfo 用户信息
     * @return
     */
    boolean updateUserInfo(UserInfo userInfo);

    /**
     * @description 通过用户id集合获取用户id->info映射
     * @date 2019-12-26 16:15
     * @param
     * @return
     */
    Map<Long, UserInfo> userIdToInfo(List<Long> userIdList);
}
