package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.UserRole;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author huangyuan
 * @date 2019-12-01
 * @description 用户角色接口
 */
public interface IUserRoleService extends IService<UserRole> {

    /**
     * @description 通过用户id和公司id获取用户角色关联信息
     * @date 2019/11/27 10:03 AM
     * @param userRole 关联对象
     * @return
     */
    UserRole getByUserRole(UserRole userRole);
}
