package cn.com.ty.lift.system.user.service.impl;

import cn.com.ty.lift.system.user.dao.entity.UserRole;
import cn.com.ty.lift.system.user.dao.mapper.UserRoleMapper;
import cn.com.ty.lift.system.user.service.IUserRoleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author huangyuan
 * @date 2019-12-01
 * @description 用户角色关联接口实现类
 */
@Service
public class UserRoleService extends ServiceImpl<UserRoleMapper, UserRole> implements IUserRoleService {

    @Resource
    private UserRoleMapper userRoleMapper;


    @Override
    public UserRole getByUserRole(UserRole userRole) {
        return userRoleMapper.getByUserRole(userRole);
    }
}
