package cn.com.ty.lift.business.contract.dao.entity;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;

/**
 * 实体类 - 表：contracts_history
 * @author bieao
 * @since 2019-12-09 16:35:47
 */
@Data
public class ContractsHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录ID
     */
    @TableId(value = "id",type = IdType.ID_WORKER)
    private Long id;

    /**
     * 合同编号
     */
    private Long contractsId;

    /**
     * 操作项
     */
    private String description;

    /**
     * 操作前内容
     */
    private String beforeContent;

    /**
     * 操作后内容
     */
    private String afterContent;

    /**
     * 操作人
     */
    private Long operatorId;

    /**
     * 操作时间
     */
    private LocalDateTime operateDate;


    private Integer pid;


}
