package cn.com.ty.lift.business.library.dao.entity;

import cn.com.ty.lift.business.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 实体类 - 表：platform_company_lift_relevance
 * @author bieao
 * @since 2019-12-05 10:18:21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PlatformCompanyLiftRelevance extends BaseEntity {

    /**
     * 主键ID
     */
    @TableId(value = "id",type = IdType.ID_WORKER)
    private Long id;

    /**
     * 电梯ID
     */
    private Long liftId;

    /**
     * 公司ID
     */
    private Long mtCompanyId;

    /**
     * 电梯公司状态 1：停保，2：正常，3：保养中 4：维修中，5：年检中，6：大修中
     */
    private String liftCompanyStatus;
}