package cn.com.ty.lift.business.library.dao.entity.model.request;

import cn.com.ty.lift.business.project.dao.entity.ProjectLiftRelevance;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author bieao
 * @date 2020/1/7
 * @description 批量移动电梯请求
 */
@Data
public class LiftBatchMoveRequest {
    /**
     * 项目电梯关联id列表
     */
    @NotEmpty(message = "notEmpty")
    private List<ProjectLiftRelevance> list;

    /**
     * 项目id
     */
    @NotNull(message = "notEmpty")
    private Long projectId;
}
