package cn.com.ty.lift.business.library.dao.entity.model.request;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author bieao
 * @date 2019/11/27
 * @description 电梯档案列表请求体
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiftRequest extends BaseRequestModel {

    /**
     * 电梯状态（服务中：1，停止：0）
     */
    private String liftStatus;

    /**
     * 区域ID
     */
    private Long regionId;

    /**
     * 项目ID
     */
    private String projectId;

    /**
     * 电梯品牌
     */
    private String liftBrand;

    /**
     * 电梯注册代码
     */
    private String registrationCode;

    /**
     * 电梯类型
     */
    private Integer liftType;

    /**
     * 维保工
     */
    private Long workerId;

    /**
     * 公司ID
     */
    private Long mtCompanyId;
}
