package cn.com.ty.lift.business.library.dao.entity.model.response;

import lombok.Data;

/**
 * @author bieao
 * @date 2019/11/27
 * @description 电梯档案列表返回体
 */
@Data
public class LiftResponse {

    /**
     * 电梯ID
     */
    private String id;

    /**
     * 公司电梯关联主键id
     */
    private String companyRelevanceId;

    /**
     * 项目电梯关联主键id
     */
    private String projectRelevanceId;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 电梯编号
     */
    private String liftCode;

    /**
     * 注册代码
     */
    private String registrationCode;

    /**
     * 电梯品牌
     */
    private String liftBrand;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 电梯类型
     */
    private String liftType;

    /**
     * 设备使用地点
     */
    private String devicePosition;
    /**
     * 维保工
     */
    private String workerName;
    /**
     * 维保工id
     */
    private String workerId;
    /**
     * 首保时间
     */
    private String firstMaintenanceTime;

    /**
     * 年检时间
     */
    private String annualInspectionDate;

    /**
     * 电梯维保状态
     */
    private String liftStatus;

    /**
     * 电梯是否锁定
     */
    private String liftLocked;
}
