package cn.com.ty.lift.business.maintenance.dao.entity.model.request;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Collection;

/**
 * @author bieao
 * @date 2020/1/2
 * @description 清除维保计划请求
 */
@Data
public class MaintenanceCleanRequest {

    /**
     * 电梯id列表
     */
    @NotEmpty(message = "notEmpty")
    private Collection<Long> liftIdList;

    /**
     * 公司id
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;
}
