package cn.com.ty.lift.business.maintenance.dao.entity.model.request;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * @author bieao
 * @date 2020/1/2
 * @description 维保计划详情请求
 */
@Data
public class MaintenanceDetailRequest {

    /**
     * 维保公司id
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;
    /**
     * 项目id
     */
    @NotNull(message = "notEmpty")
    private Long projectId;
    /**
     * 电梯id
     */
    @NotNull(message = "notEmpty")
    private Long liftId;

    /**
     * 开始时间
     */
    @NotNull(message = "notEmpty")
    private LocalDate beginTime;

    /**
     * 结束时间
     */
    @NotNull(message = "notEmpty")
    private LocalDate endTime;
}
