package cn.com.ty.lift.business.maintenance.dao.entity.model.request;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author bieao
 * @date 2019/12/16
 * @description 维保计划列表请求体
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MaintenancePlanRequest extends BaseRequestModel {
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 区域id
     */
    private Long regionId;
    /**
     * 维保工id
     */
    private String workerId;
    /**
     * 维保公司id
     */
    private String mtCompanyId;
    /**
     * 电梯id
     */
    private String liftId;
    /**
     * 维保间隔 1-15
     */
    private Integer planInterval;
    /**
     * 开始时间
     */
    private String beginTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 电梯注册代码
     */
    private String registrationCode;
}
