package cn.com.ty.lift.business.project.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 行政区划
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AreaCode implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编码
     */
    @TableField("code")
    private String code;

    /**
     * 名称
     */
    @TableField("name")
    private String name;

    /**
     * 父级编码
     */
    @TableField("parent")
    private String parent;

    /**
     * 级别
     */
    @TableField("level")
    private Integer level;

    /**
     * 版本号(新增一个+1)
     */
    @TableField("version")
    private Integer version;

    @TableId("id")
    private Integer id;


}
