package cn.com.ty.lift.business.project.dao.entity.model.request;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2020/1/3
 * @description 公司项目列表请求体
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProjectCompanyRequest extends BaseRequestModel {


    /**
     * 甲方公司id
     */
    @NotNull(message = "notEmpty")
    private Long ppCompanyId;

    /**
     * 项目状态
     */
    @NotEmpty(message = "notEmpty")
    private String projectStatus;

}
