package cn.com.ty.lift.business.project.dao.entity.model.request;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2020/1/11
 * @description 确认停止服务请求
 */
@Data
public class ProjectConfirmRequest {

    /**
     * 项目id
     */
    @NotNull(message = "notEmpty")
    private Long projectId;

    /**
     * 维保公司id
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;
}
