package cn.com.ty.lift.business.project.dao.entity.model.request;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2019/12/31
 * @description 项目详情请求
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProjectDetailRequest extends BaseRequestModel {

    /**
     * 项目ID
     */
    @NotNull(message = "notEmpty")
    private Long id;

}
