package cn.com.ty.lift.business.project.dao.entity.model.request;

import cn.com.ty.lift.business.project.dao.entity.Project;
import cn.com.ty.lift.business.project.dao.entity.ProjectUser;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author bieao
 * @date 2019/12/31
 * @description 项目请求
 */
@Data
public class ProjectExtensionRequest {

    /**
     * 项目
     */
    @NotNull(message = "notEmpty")
    private Project project;

    /**
     * 项目成员
     */
    @NotEmpty(message = "notEmpty")
    private List<ProjectUser> userList;
}
