package cn.com.ty.lift.business.project.dao.entity.model.request;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2020/1/2
 * @description 项目锁定解锁请求
 */
@Data
public class ProjectLockRequest {

    /**
     * 操作：0：解锁 1：锁定
     */
    @NotNull(message = "notEmpty")
    private Integer lock;

    /**
     * 公司id
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;

    /**
     * 项目id
     */
    @NotNull(message = "notEmpty")
    private Long projectId;
}
