package cn.com.ty.lift.business.project.dao.entity.model.response;

import lombok.Data;

/**
 * @author bieao
 * @date 2020/1/2
 * @description app端项目详情返回体
 */
@Data
public class ProjectDetailResponse {
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 项目用途
     */
    private Integer projectUsage;
    /**
     * 项目地址
     */
    private String address;
    /**
     * 实际台量
     */
    private Integer actualNum;
    /**
     * 省
     */
    private String province;
    /**
     * 市
     */
    private String city;
    /**
     * 区
     */
    private String district;
    /**
     * 开始时间
     */
    private String startDate;
    /**
     * 结束时间
     */
    private String endDate;
    /**
     * 甲方公司名称
     */
    private String companyName;
    /**
     * 甲方联系人
     */
    private String companyContact;
    /**
     * 甲方联系人电话
     */
    private String telephone;
    /**
     * 区域主管
     */
    private String areaDirector;
    /**
     * 区域名称
     */
    private String areaName;
    /**
     * 区域id
     */
    private Long regionId;
    /**
     * 文员
     */
    private String clerkName;
}
