package cn.com.ty.lift.common.model;

import lombok.Data;

/**
 * 实体类 - 表：area_code
 *
 * @since 2019-12-03 17:17:14
 */
@Data
public class AreaCode extends BaseTree {

    /**
     * 编码
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 父级编码
     */
    private String parent;

    /**
     * 级别
     */
    private Byte level;

    /**
     * 版本号
     */
    private Integer version;

}