package cn.com.ty.lift.common.model;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-02
 * @description 树基础类
 */
@Data
public class BaseTree {

    /**
     * id
     */
    private Object id;

    /**
     * 子节点
     */
    @TableField(exist = false)
    private List children;

    /**
     * 是否选中
     */
    @TableField(exist = false)
    private boolean checked;
}
