package cn.com.ty.lift.enterprise.oa.dto;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * @author wcz
 * @date 2019/12/12
 * @description
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiftCertificateRequest extends BaseRequestModel{
    /**
     * 主键id
     */
    private Long id;
    /**
     * 维保公司id
     */
    private Long mtCompanyId;
    /**
     * 用户名称
     */
    private String username;
    /**
     * 操作证类型 1: 维保工操作证 (12：区域经理,13：维保工),2: 其他操作证
     */
    private String certificateType;
    /**
     * 操作证状态
     */
    private Integer status;
    /**
     * 审核是否通过 true：通过，false：不通过
     */
    private boolean pass;
}
