package cn.com.ty.lift.quan.pay.dao.entity.model;

import cn.com.ty.lift.quan.pay.dao.entity.UserInfo;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class PayReq extends UserInfo {
    //金额操作记录表id
    private Long id;
    //1充值 2提现
    private Integer task;
    //买家账号
    private String buyerId;
    //商品名
    private String subject;
    //商品说明
    private String body;
    //总价
    private BigDecimal totalAmount;
    //支付宝订单号
    private String tradeNo;
    //商家自定义订单号
    private String outTradeNo;
    //订单状态
    private Integer status;
}
