package cn.com.ty.lift.system.constants;

import cn.com.ty.lift.common.constants.ApiConstants;

/**
 * @author huangyuan
 * @date 2019-12-17
 * @description 公共常量
 */
public class CommonConstants {
    /**
     * 返回码字段常量
     */
    public static final String RETURN_CODE_FIELD = "code";

    /**
     * 返回信息字段常量
     */
    public static final String RETURN_MSG_FIELD = "message";

    /**
     * 用户申请状态码数组
     */
    public static final int [] USER_APPLICATION_STATUS = {
            ApiConstants.ApplicationConstants.APPLY_WAIT,
            ApiConstants.ApplicationConstants.APPLY_PASS,
            ApiConstants.ApplicationConstants.APPLY_FAIL
    };

    /**
     * 企业申请状态数组
     */
    public static final int [] COMPANY_ATTESTATION_STATUS = {
            ApiConstants.CompanyConstants.MAINTENANCE_WAIT_CERTIFICATE,
            ApiConstants.CompanyConstants.MAINTENANCE_PASS,
            ApiConstants.CompanyConstants.MAINTENANCE_FAIL
    };
}
