package cn.com.ty.lift.system.user.dao.entity;

import cn.com.ty.lift.common.utils.PojoUtils;
import cn.com.ty.lift.system.user.dao.entity.model.MtCompanyUserRequest;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

/**
 * 实体类 - 表：mt_company_user
 * @since 2019-12-03 16:55:27
 */
@Data
public class MtCompanyUser {
	@TableId(value = "id", type = IdType.ID_WORKER)
	private Long id;

	private Long mtCompanyId;

	private Long userId;

	private Byte userRole;

	private Byte isCurrentCompany;

	private Byte isHxRegistered;

	private Integer status;

	private Integer serviceTotal;

	private Integer satisfactionTotal;

	private Integer serviceCount;

	private Integer maintenanceTotal;

	private Integer emergencyTotal;

	private Integer liftTotal;

	private String job;

	private Integer deleteFlag;

	private Date createTime;

	private Date updateTime;

	private Long createUserId;

	private Long updateUserId;

	private Integer repairFlag;

	public MtCompanyUser(){}

	public MtCompanyUser(MtCompanyUserRequest mtCompanyUserRequest){
		PojoUtils.pojoCopy(this, mtCompanyUserRequest);
	}
}