package cn.com.ty.lift.system.user.dao.entity;

import cn.com.ty.lift.common.utils.PojoUtils;
import cn.com.ty.lift.system.user.dao.entity.model.UserRequest;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 实体类 - 表：user_account
 * @since 2019-11-29 17:15:02
 */
@Data
public class UserAccount {
	@TableId(value = "user_id", type = IdType.ID_WORKER)
	private Long userId;

	private Integer type;

	private String account;

	private String password;

	private String salt;

	private String mobile;

	private String wechatOpenId;

	private String email;

	private String otherAccount;

	private String otherAccount2;

	private int status;

	private String remarks;

	private LocalDateTime createDate;

	private int deleteFlag;

	private int expertFlag;

	public UserAccount(){}

	public UserAccount(UserRequest userRequest){
		PojoUtils.pojoCopy(this, userRequest);
	}

}