package cn.com.ty.lift.system.user.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

/**
 * 实体类 - 表：user_role
 * @since 2019-12-01 16:52:41
 */
@Data
public class UserRole {
	@TableId(value = "id", type = IdType.ID_WORKER)
	private Long id;

	private Long userId;

	private Long roleId;

	private Long companyId;

	public UserRole(){}

	public UserRole(Long userId, Long roleId){
		this.userId = userId;
		this.roleId = roleId;
	}

	public UserRole(Long userId, Long roleId, Long companyId){
		this.userId = userId;
		this.roleId = roleId;
		this.companyId = companyId;
	}
}