package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.Expert;
import cn.com.ty.lift.system.user.dao.entity.model.ExpertRequest;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 专家表 服务类
 * </p>
 *
 * @author huangyuan
 * @since 2020-01-02
 */
public interface IExpertService extends IService<Expert> {

    /**
     * @param
     * @return
     * @description 添加专家信息
     * @date 2020-01-03 14:53
     */
    RestResponse add(ExpertRequest expertRequest);

    /**
     * @param
     * @return
     * @description 获取专家列表
     * @date 2020-01-03 17:30
     */
    RestResponse expertList(ExpertRequest expertRequest);
}
