package cn.com.ty.lift.system.wechat.utils;

import cn.com.ty.lift.system.wechat.constants.WxConstants;
import cn.hutool.http.HttpUtil;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;

/**
 * @author huangyuan
 * @date 2019-12-30
 * @description
 */
public class WxUtil {

    /**
     * @description 通过用户授权码获取用户openId
     * @param authCode 用户授权码
     * @return
     */
    public static String getOpenIdByAuthCode(String authCode){
        String url = WxConstants.USER_INFO_ACCESS_TOKEN_URL
                .replace("APPID", WxConstants.APP_ID)
                .replace("SECRET", WxConstants.APP_SECRET)
                .replace("CODE", authCode);
        JSONObject result = JSONUtil.parseObj(HttpUtil.get(url));
        if(result.containsKey("openid")){
            return result.getStr("openid");
        }
        return null;
    }

}
